package com.xmomen.module.wx.module.cart.model;

import lombok.Data;

// 定义一个名为CartItemModel的类，使用@Data注解来自动生成getter和setter方法
public @Data class CartItemModel {
	
	// 定义一个id属性，类型为String
	private String id;
	// 定义一个userToken属性，类型为String
	private String userToken;
	
    // 定义一个itemId属性，类型为Integer
    private Integer itemId;
    // 定义一个itemQty属性，类型为Integer
    private Integer itemQty;
    
	// 重写toString方法，用于输出CartItemModel对象的字符串表示
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("CartItemModel [itemId=");
		builder.append(itemId);
		builder.append(", itemQty=");
		builder.append(itemQty);
		builder.append("]");
		return builder.toString();
	}
    
    
}
